function [Q,R] = mQR2(A)
    % QR (completa) con Householder
    n = size(A,1);
    Q = eye(n);
    R = A;
    for k = 1:n-1
        x = R(k:n,k);
        v = zeros(n,1);
        v(k:n) = vh(x);
        % dim Qt =n es la de Householder completada con k-1 unos
        % porque v(1:k-1) son ceros
        Qt = eye(n) -2*v*v';
        Q = Qt*Q;
        R = Qt*R;
        % Para que sea exactamente triangular
        R(k+1:n,k) = zeros(n-k,1);
    end
    Q = Q';
end

